<template>
  <div>
    <h1>{{$t('createPost.title')}}</h1>
    <form @submit.prevent="createPost">
      <div>
        <label for="name">{{$t('createPost.nameLabel')}}</label>
        <input type="text" id="name" v-model="name" :maxlength="maxNameLength" required>
        <p>{{ name.length }} / {{ maxNameLength }}</p>
      </div>
      <div>
        <label for="description">{{$t('createPost.descriptionLabel')}}</label>
        <textarea id="description" v-model="description" :maxlength="maxDescriptionLength" required></textarea>
        <p>{{ description.length }} / {{ maxDescriptionLength }}</p>
      </div>
      <div v-for="(tag, index) in tags" :key="tag.id">
        <label>
          {{$t('createPost.tagLabel', {index: index + 1})}}
          <input type="text" v-model="tag.name" :maxlength="maxNameLength">
        </label>
        <p>{{ tag.name.length }} / {{ maxNameLength }}</p>
        <button type="button" @click="removeTag(index)">{{$t('createPost.removeTag')}}</button>
      </div>
      <button type="button" @click="addTag">{{$t('createPost.addTag')}}</button>
      <button type="submit">{{$t('createPost.save')}}</button>
    </form>
  </div>
</template>


<script src="./CreatePost.js"></script>

